package com.dashitech.migration.task.uc;

import com.dashitech.migration.BaseTask;
import com.dashitech.migration.core.DataMigrationter;
import com.dashitech.migration.core.FieldMapper;
import com.dashitech.migration.util.JdbcUtil;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by CX on 2024/10/10.
 */
@Component
@Order(1)
public class HospitalConfigTask extends BaseTask {

    public static Log log = LogFactory.getLog(HospitalConfigTask.class);

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void start() {
        log.info(" *** HospitalConfigTask start开始 *** ");
        FieldMapper mapper = new FieldMapper();

        //clear释放内存
        mapper.clear();
    }

    @Override
    public FieldMapper loadCache() {
        log.info(" *** HospitalConfigTask loadCache开始 *** ");
        FieldMapper mapper = new FieldMapper();


        return mapper;
    }


}
